> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/by-pillar/store-operations/packing/deprecated-load-unit-configuration.md).

# (Deprecated) Load unit configuration

{% hint style="danger" %}
Load unit types API is deprecated, use instead [Operative container types](/documentation/by-pillar/store-operations/packing/operative-container-types.md).
{% endhint %}

It is possible to use **load units** within the picking process. Load units can be any kind of custom items which complement the picked task, such as **bags, boxes, vouchers, or any kind of goodies / information** that the picker should get once the picking process is finished.

## Creating a load unit type

While a `load unit` captures the information for a particular `pick job`, the `load unit type` is the configuration object.

To create a `load unit type`, send a `POST` request to the following endpoint with the JSON body.

```http
POST https://{YOUR_TENANT_NAME}.api.fulfillmenttools.com/api/loadunittypes
```

```json
{
    "nameLocalized": {
        "de_DE": "Papiertasche",
        "en_US": "Paperbag",
        "pl_PL": "Torba papierowa"
    },
    "priority": 1
}
```

## Update a load unit type

To update an existing `load unit type`, send a `PATCH` request to the following endpoint with the JSON body.

```http
PATCH https://{YOUR-TENANT-NAME}.api.fulfillmenttools.com/api/loadunittypes/<loadUnitTypeId>
```

```json
{
    "version": 3,
    "actions": [
        {
            "action": "ModifyLoadUnitType",
            "priority": 2
        }
    ]
}
```

All defined `load unit types` are immediately displayed for selection in the picking process. If no `load unit types` are defined, this step is skipped in the application.

{% hint style="warning" %}
A `load unit type`, once defined, cannot be deleted via the API. Contact support for assistance in this scenario.
{% endhint %}

## Add an icon to a load unit type

An icon can be added to a `load unit type` definition for display in the Operations App. This helps the picker identify which item (e.g., bag or box) to choose. The image file must be base64-encoded in the HTTP request.

To add an icon to an existing `load unit type`, send a `PUT` request to the following endpoint with the JSON body.

```http
PUT https://{YOUR_TENANT_NAME}.api.fulfillmenttools.com/api/loadunittypes/{YOUR_LOAD_UNIT_TYPE_ID}/icon
```

```json
{
    "name": "paperbag.png",
    "content": "==base64-encoded content=="
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/store-operations/packing/deprecated-load-unit-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
